Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F112601145
D48803.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
567 B
Referenced Files
None
Subscribers
None
D48803.diff
View Options
diff --git a/stand/common/newvers.sh b/stand/common/newvers.sh
--- a/stand/common/newvers.sh
+++ b/stand/common/newvers.sh
@@ -43,7 +43,15 @@
shift $((OPTIND - 1))
LC_ALL=C; export LC_ALL
-u=${USER-root} h=${HOSTNAME-`hostname`} t=`date`
+u=${USER-root} h=${HOSTNAME-`hostname`}
+if [ -n "$SOURCE_DATE_EPOCH" ]; then
+ if ! t=$(date -ur $SOURCE_DATE_EPOCH 2>/dev/null); then
+ echo "Invalid SOURCE_DATE_EPOCH" >&2
+ exit 1
+ fi
+else
+ t=`date`
+fi
r=`awk -F: ' /^[0-9]\.[0-9]+:/ { print $1; exit }' $1`
bootprog_info="FreeBSD/${3} ${2}, Revision ${r}\\n"
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Fri, Mar 21, 9:06 AM (10 h, 53 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
16447829
Default Alt Text
D48803.diff (567 B)
Attached To
Mode
D48803: stand: Use SOURCE_DATE_EPOCH in newvers.sh
Attached
Detach File
Event Timeline
Log In to Comment